=== debian/changelog ===
cctz (2.1~git~a59b930afc8+dfsg1-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Dec 2017 09:59:01 +0100

cctz (2.1~git~a59b930afc8+dfsg1-3) unstable; urgency=medium

  * [6306734] Fix concurrent test on 32-bit mips plarforms. (Closes: #881950)

 -- Anton Gladky <gladk@debian.org>  Sun, 19 Nov 2017 13:03:23 +0100

cctz (2.1~git~a59b930afc8+dfsg1-2) unstable; urgency=medium

  * [cb388ba] Disable TimeZones.LoadZonesConcurrently for mips.

 -- Anton Gladky <gladk@debian.org>  Fri, 17 Nov 2017 21:16:35 +0100

cctz (2.1~git~a59b930afc8+dfsg1-1) unstable; urgency=medium

  * Initial upload. (Closes: #881851)

 -- Anton Gladky <gladk@debian.org>  Sat, 11 Nov 2017 10:21:55 +0100
