=== debian/control ===
Source: cctz
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               googletest,
               libbenchmark-dev,
               tzdata
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cctz.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cctz.git
Homepage: https://github.com/google/cctz

Package: libcctz-dev
Architecture: any
Section: libdevel
Depends: libcctz2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libcctz-doc
Recommends: tzdata
Description: Library for computing dates, times and time zones, development files
 CCTZ contains two libraries that cooperate with `<chrono>` to give C++
 programmers all the necessary tools for computing with dates, times, and time
 zones in a simple and correct manner.
 .
 This package contains the development files.

Package: libcctz2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for computing dates, times and time zones, shared library
 CCTZ contains two libraries that cooperate with `<chrono>` to give C++
 programmers all the necessary tools for computing with dates, times, and time
 zones in a simple and correct manner.
 .
 This package contains the shared library.

Package: libcctz-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for computing dates, times and time zones, documentation
 CCTZ contains two libraries that cooperate with `<chrono>` to give C++
 programmers all the necessary tools for computing with dates, times, and time
 zones in a simple and correct manner.
 .
 This package contains tools and documentation and examples.
