## cctz 2.2%2Bdfsg1

=== debian/changelog ===
cctz (2.2+dfsg1-1) unstable; urgency=medium

  * [98acd74] Update d/watch
  * [198b546] New upstream version 2.2+dfsg1
  * [433ce79] Refresh patches
  * [5931a1f] Set the Standards-Version: 4.1.3
  * [2e438f9] Update VCS-fields

 -- Anton Gladky <gladk@debian.org>  Tue, 20 Feb 2018 22:06:13 +0100
