## cctz 2.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,39 @@
   ${PROJECT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH})
 
-include(CheckCXXSymbolExists)
 include(CTest)
+include(FeatureSummary)
 
 option(BUILD_EXAMPLES "Whether or not to build examples" ON)
+
+if (BUILD_TESTING)
+  find_package(benchmark)
+  set_package_properties(benchmark PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "a microbenchmark support library"
+    URL "https://github.com/google/benchmark"
+  )
+
+  find_package(GMock)
+  set_package_properties(GMock PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "the Google C++ mocking framework"
+    URL "https://github.com/google/googletest"
+  )
+
+  find_package(GTest)
+  set_package_properties(GTest PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "the Google C++ test framework"
+    URL "https://github.com/google/googletest"
+  )
+
+  find_package(Threads)
+  set_package_properties(Threads PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "the system thread library"
+  )
+endif()
 
 # Starting from CMake >= 3.1, if a specific standard is required,
 # it can be set from the command line with:
@@ -52,30 +81,15 @@
 
 target_include_directories(cctz PUBLIC include)
 
-# the getopt_long function used by time_tool is not available on all platforms,
-# for example this is not available by default on Windows
-if (NOT DEFINED HAVE_GETOPT_LONG)
-  set(show_time_tool_msg 1)
-endif()
-check_cxx_symbol_exists(getopt_long getopt.h HAVE_GETOPT_LONG)
-if (HAVE_GETOPT_LONG)
-  add_executable(time_tool src/time_tool.cc)
-  cctz_target_set_cxx_standard(time_tool)
-  target_link_libraries(time_tool cctz::cctz)
-elseif(show_time_tool_msg)
-    message(STATUS "Disable time_tool as getopt_long is not available")
-endif()
+add_executable(time_tool src/time_tool.cc)
+cctz_target_set_cxx_standard(time_tool)
+target_link_libraries(time_tool cctz::cctz)
 
 if (BUILD_EXAMPLES)
   add_subdirectory(examples)
 endif()
 
 if (BUILD_TESTING)
-  find_package(benchmark REQUIRED)
-  find_package(GMock REQUIRED)
-  find_package(GTest REQUIRED)
-  find_package(Threads REQUIRED)
-
   add_executable(civil_time_test src/civil_time_test.cc)
   cctz_target_set_cxx_standard(civil_time_test)
   target_include_directories(civil_time_test PRIVATE ${GTEST_INCLUDE_DIRS})
@@ -119,3 +133,5 @@
   cctz_target_set_cxx_standard(benchmarks)
   target_link_libraries(benchmarks cctz::cctz benchmark::benchmark)
 endif()
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
