=== debian/changelog ===
cctz (2.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * [6ab17e6] Add /usr/src/googletest/*/include to search path.  Closes: #897176.

 -- Steve M. Robbins <smr@debian.org>  Tue, 01 May 2018 20:25:24 -0500
