=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                googletest,
                libbenchmark-dev,
                tzdata
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cctz.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cctz.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/cctz
+Vcs-Git: https://salsa.debian.org/science-team/cctz.git
 Homepage: https://github.com/google/cctz
 
 Package: libcctz-dev
@@ -18,8 +18,8 @@
 Section: libdevel
 Depends: libcctz2 (= ${binary:Version}),
          ${misc:Depends}
+Recommends: tzdata
 Suggests: libcctz-doc
-Recommends: tzdata
 Description: Library for computing dates, times and time zones, development files
  CCTZ contains two libraries that cooperate with `<chrono>` to give C++
  programmers all the necessary tools for computing with dates, times, and time
