## cctz 2.3%2Bdfsg1

=== debian/changelog ===
cctz (2.3+dfsg1-5build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:40:38 +0200

cctz (2.3+dfsg1-5) unstable; urgency=medium

  * [4ea4d40] Trim the kTimeZoneNames[] lists to "real" zones.
              Switch back to tzdata.

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Sep 2023 20:57:41 +0200

cctz (2.3+dfsg1-4) unstable; urgency=medium

  [ Anton Gladky ]
  * [434ca88] Add .gitlab-ci.yml

  [ Janitor ]
  * [f2d6695] Apply multi-arch hints

  [ Anton Gladky ]
  * [fa70f53] Refresh patches
  * [c995bca] Use tzdata-legacy instead of tzdata. (Closes: #1050019)
  * [8c7e732] Set compat-level to 13
              Standards-Version to 4.6.2.
  * [6770455] Install cmake files and some more changes due to dh 13.

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Sep 2023 20:30:20 +0200

cctz (2.3+dfsg1-3) unstable; urgency=medium

  * [143a67c] Do not run benchmark tests on mips

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jan 2020 20:16:33 +0100

cctz (2.3+dfsg1-2) unstable; urgency=medium

  * [b41be51] Shorten changelog-entry
  * [5fd32c2] Fix autopkgtest
  * [0b23e3b] Set upstream metadata fields: Bug-Submit.

 -- Anton Gladky <gladk@debian.org>  Mon, 06 Jan 2020 20:48:24 +0100

cctz (2.3+dfsg1-1) unstable; urgency=medium

  * [87cf4f7] New upstream version 2.3+dfsg1
  * [1d8233f] Refresh patches
  * [ab020a9] Set compat-level 12
  * [d16f0b5] Set Standards-Version to 4.4.1
  * [f816b6a] Set upstream metadata fields: Bug-Database.

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Jan 2020 21:57:54 +0100
