## cctz 2.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 include(CTest)
 include(FeatureSummary)
 
+option(BUILD_TOOLS "Whether or not to build tools" ON)
 option(BUILD_EXAMPLES "Whether or not to build examples" ON)
 
 if (BUILD_TESTING)
@@ -57,6 +58,16 @@
   endif()
 endfunction()
 
+if(APPLE)
+  find_library(CoreFoundation CoreFoundation)
+endif()
+
+set(CCTZ_HDRS
+  include/cctz/time_zone.h
+  include/cctz/civil_time_detail.h
+  include/cctz/zone_info_source.h
+  include/cctz/civil_time.h
+  )
 add_library(cctz
   src/civil_time_detail.cc
   src/time_zone_fixed.cc
@@ -75,15 +86,24 @@
   src/time_zone_posix.h
   src/tzfile.h
   src/zone_info_source.cc
+  ${CCTZ_HDRS}
   )
 cctz_target_set_cxx_standard(cctz)
+target_include_directories(cctz PUBLIC
+  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
+  $<INSTALL_INTERFACE:include>
+  )
+set_target_properties(cctz PROPERTIES
+  PUBLIC_HEADER "${CCTZ_HDRS}"
+  )
+target_link_libraries(cctz PUBLIC $<$<PLATFORM_ID:Darwin>:${CoreFoundation}>)  
 add_library(cctz::cctz ALIAS cctz)
 
-target_include_directories(cctz PUBLIC include)
-
-add_executable(time_tool src/time_tool.cc)
-cctz_target_set_cxx_standard(time_tool)
-target_link_libraries(time_tool cctz::cctz)
+if (BUILD_TOOLS)
+  add_executable(time_tool src/time_tool.cc)
+  cctz_target_set_cxx_standard(time_tool)
+  target_link_libraries(time_tool cctz::cctz)
+endif()
 
 if (BUILD_EXAMPLES)
   add_subdirectory(examples)
@@ -129,9 +149,32 @@
       ENVIRONMENT "TZDIR=${CMAKE_CURRENT_SOURCE_DIR}/testdata/zoneinfo"
     )
 
-  add_executable(benchmarks src/benchmarks.cc)
-  cctz_target_set_cxx_standard(benchmarks)
-  target_link_libraries(benchmarks cctz::cctz benchmark::benchmark)
+  add_executable(cctz_benchmark src/cctz_benchmark.cc)
+  cctz_target_set_cxx_standard(cctz_benchmark)
+  target_link_libraries(cctz_benchmark cctz::cctz benchmark::benchmark_main)
 endif()
 
+# Install
+include(GNUInstallDirs)
+install(TARGETS cctz
+  EXPORT ${PROJECT_NAME}-targets
+  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/cctz
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+  )
+if (BUILD_TOOLS)
+  install(TARGETS time_tool
+    EXPORT ${PROJECT_NAME}-targets
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    )
+endif()
+set(CMAKE_INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
+install(EXPORT ${PROJECT_NAME}-targets
+  NAMESPACE cctz::
+  DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
+  )
+install(FILES cmake/${PROJECT_NAME}-config.cmake
+  DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
+  )
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
