=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
-#   http://www.apache.org/licenses/LICENSE-2.0
+#   https://www.apache.org/licenses/LICENSE-2.0
 #
 #   Unless required by applicable law or agreed to in writing, software
 #   distributed under the License is distributed on an "AS IS" BASIS,
@@ -12,7 +12,7 @@
 #   See the License for the specific language governing permissions and
 #   limitations under the License.
 
-# While Bazel (http://bazel.io) is the primary build system used by cctz,
+# While Bazel (https://bazel.io) is the primary build system used by cctz,
 # this Makefile is provided as a convenience for those who can't use Bazel
 # and can't compile the sources in their own build system.
 #
