=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: cctz
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                googletest,
                libbenchmark-dev,
                tzdata
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/cctz
 Vcs-Git: https://salsa.debian.org/science-team/cctz.git
 Homepage: https://github.com/google/cctz
 
 Package: libcctz-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libcctz2 (= ${binary:Version}),
          ${misc:Depends}
@@ -42,6 +44,7 @@
 
 Package: libcctz-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${shlibs:Depends}
