## cctz 2.4%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --buildsystem=cmake

VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -f1 -d"-")
SOVERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -f1 -d"+")

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TOOLS=OFF -DVERSION="$(VERSION)" -DSOVERSION="$(SOVERSION)"
