## cctz 2.4+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 cmake_minimum_required(VERSION 2.8.12)
+
+if (POLICY CMP0025)
+  cmake_policy(SET CMP0025 NEW)
+endif()
 
 project(cctz)
 
@@ -12,14 +16,17 @@
 
 option(BUILD_TOOLS "Whether or not to build tools" ON)
 option(BUILD_EXAMPLES "Whether or not to build examples" ON)
+option(BUILD_BENCHMARK "Whether or not to build the benchmark application (has no effect if BUILD_TESTING is disabled)" ON)
 
 if (BUILD_TESTING)
-  find_package(benchmark)
-  set_package_properties(benchmark PROPERTIES
-    TYPE REQUIRED
-    DESCRIPTION "a microbenchmark support library"
-    URL "https://github.com/google/benchmark"
-  )
+  if (BUILD_BENCHMARK)
+    find_package(benchmark)
+    set_package_properties(benchmark PROPERTIES
+      TYPE REQUIRED
+      DESCRIPTION "a microbenchmark support library"
+      URL "https://github.com/google/benchmark"
+    )
+  endif()
 
   find_package(GMock)
   set_package_properties(GMock PROPERTIES
@@ -96,7 +103,9 @@
 set_target_properties(cctz PROPERTIES
   PUBLIC_HEADER "${CCTZ_HDRS}"
   )
-target_link_libraries(cctz PUBLIC $<$<PLATFORM_ID:Darwin>:${CoreFoundation}>)  
+if(APPLE)
+  target_link_libraries(cctz PUBLIC ${CoreFoundation})
+endif()
 add_library(cctz::cctz ALIAS cctz)
 
 if (BUILD_TOOLS)
@@ -149,9 +158,11 @@
       ENVIRONMENT "TZDIR=${CMAKE_CURRENT_SOURCE_DIR}/testdata/zoneinfo"
     )
 
-  add_executable(cctz_benchmark src/cctz_benchmark.cc)
-  cctz_target_set_cxx_standard(cctz_benchmark)
-  target_link_libraries(cctz_benchmark cctz::cctz benchmark::benchmark_main)
+  if (BUILD_BENCHMARK)
+    add_executable(cctz_benchmark src/cctz_benchmark.cc)
+    cctz_target_set_cxx_standard(cctz_benchmark)
+    target_link_libraries(cctz_benchmark cctz::cctz benchmark::benchmark_main)
+  endif()
 endif()
 
 # Install
@@ -159,13 +170,14 @@
 install(TARGETS cctz
   EXPORT ${PROJECT_NAME}-targets
   PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/cctz
+  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   )
 if (BUILD_TOOLS)
   install(TARGETS time_tool
     EXPORT ${PROJECT_NAME}-targets
-    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+    DESTINATION ${CMAKE_INSTALL_BINDIR}
     )
 endif()
 set(CMAKE_INSTALL_CONFIGDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
@@ -177,4 +189,10 @@
   DESTINATION ${CMAKE_INSTALL_CONFIGDIR}
   )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+if (CMAKE_VERSION VERSION_LESS "3.8")
+  set(quiet_on_empty "")
+else()
+  set(quiet_on_empty QUIET_ON_EMPTY)
+endif()
+
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES ${quiet_on_empty})
