=== debian/changelog ===
cctz (2.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * [6be7ee3] Bump CMake policy version (Closes: #1112769)
  * [478d945] Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 22:13:03 +0200

cctz (2.4+dfsg1-2) unstable; urgency=medium

  * [16401e7] Update zoneinfo files to 2024b. (Closes: #1084245)

 -- Anton Gladky <gladk@debian.org>  Thu, 17 Oct 2024 21:26:43 +0200

cctz (2.4+dfsg1-1) unstable; urgency=medium

  * [1e77b23] New upstream version 2.4+dfsg1. (Closes: #1084245)
  * [690f047] Refresh patches
  * [55bc9a0] Set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Oct 2024 22:36:02 +0200
