=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cctz
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: libs
 Priority: optional
@@ -8,8 +7,9 @@
                debhelper-compat (= 13),
                googletest,
                libbenchmark-dev,
-               tzdata
-Standards-Version: 4.6.2
+               tzdata (>=2024b),
+               tzdata-legacy (>=2024b)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/cctz
 Vcs-Git: https://salsa.debian.org/science-team/cctz.git
 Homepage: https://github.com/google/cctz
@@ -18,9 +18,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcctz2 (= ${binary:Version}),
+Depends: libcctz2.4 (= ${binary:Version}),
          ${misc:Depends}
-Recommends: tzdata
+Recommends: tzdata, tzdata-legacy
 Suggests: libcctz-doc
 Description: Library for computing dates, times and time zones, development files
  CCTZ contains two libraries that cooperate with `<chrono>` to give C++
@@ -29,7 +29,7 @@
  .
  This package contains the development files.
 
-Package: libcctz2
+Package: libcctz2.4
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
