=== debian/tests/control ===
Tests: all
Depends: libcctz-dev, build-essential
